%define	name	nfsidmap
%define	version	0.8
%define	release	4mdk

%define	major	0
%define libname	%mklibname nfsidmap %{major}

Summary:	Library to help mapping id's, mainly for NFSv4
Name:		%{libname}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Libraries
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/libnfsidmap/nfsidmap-%{version}.tar.bz2
Patch0:		nfsidmap-0.8-portable.diff.bz2
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libnfsidmap is a library holding mulitiple methods of mapping
names to id's and visa versa, mainly for NFSv4. 

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

%package	devel
Summary:	Static library and header files for the nfsidmap library
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	libnfsidmap-devel nfsidmap-devel 

%description -n	%{libname}-devel
libnfsidmap is a library holding mulitiple methods of mapping
names to id's and visa versa, mainly for NFSv4. 

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

This package contains the static libnfsidmap library and its
header files.

%prep

%setup -q -n nfsidmap-%{version}
%patch0 -p0

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force && aclocal-1.7 && autoconf && automake-1.7 --gnu

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*
%{_mandir}/man3/*

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-4mdk
- rebuilt against new openldap libs

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-3mdk
- drop S1 & S2, these belong to the nfs-utils package

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-2mdk
- make it compile on 10.0 too

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-1mdk
- 0.8

* Tue Oct 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5-1mdk
- initial mandrake contrib
